Search documentation of ash

# View Source Ash.DataLayer.Ets (ash v3.4.30)

An ETS (Erlang Term Storage) backed Ash Datalayer, for testing and lightweight usage.

Remember, this does not have support for transactions! This is not recommended for production use, especially in multi-user applications. It can, however, be great for prototyping.

# Summary

## Functions

do_add_calculations(records, resource, calculations, domain)
ets(body)
stop(resource, tenant \\ nil)

Stops the storage for a given resource/tenant (deleting all of the data)

# Functions

Link to this function

# do_add_calculations(records, resource, calculations, domain)

View Source
Link to this macro

# ets(body)

View Source (macro)
Link to this function

# stop(resource, tenant \\ nil)

View Source

Stops the storage for a given resource/tenant (deleting all of the data)